<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.com.ctop.check.mapper.CtopCheckTaskListMapper">

    <select id="queryByIdAndApiName" resultType="cn.com.ctop.check.entity.CtopCheckTaskList">
        SELECT
            *
        FROM
            ctop_check_task_list
        WHERE
            id = #{id}
          AND api_name = #{apiName}
          AND is_delete = FALSE
    </select>

    <select id="queryExecuteList" resultType="cn.com.ctop.check.entity.CtopCheckTaskList">
        SELECT
            *
        FROM
            ctop_check_task_list
        WHERE
            job_name = #{jobName}
          AND is_delete = FALSE
          AND exe_state = TRUE
        ORDER BY media_type
    </select>
</mapper>